## kxstitch 2.2.0+p24.04+vstable+git20251231.0459

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20251231.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:59:20 +0000
