## kxstitch 2.2.0+p24.04+vstable+git20260103.0101

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260103.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:01:58 +0000
