## kxstitch 2.2.0+p24.04+vstable+git20260107.0738

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260107.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:38:33 +0000
