## kxstitch 2.2.0+p24.04+vstable+git20260122.0452

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260122.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:52:16 +0000
