## kxstitch 2.2.0+p24.04+vstable+git20260131.0237

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260131.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:37:34 +0000
