=== debian/control ===
Source: kxstitch
Uploaders: Scarlett Moore <sgmoore@kde.org>
Section: misc
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmagick++-6.q16-dev,
               libqt5x11extras5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/graphics/kxstitch
Vcs-Git: https://invent.kde.org/neon/extras/kxstitch.git
Vcs-Browser: https://invent.kde.org/neon/extras/kxstitch
Maintainer: Neon CI <neon@kde.org>

Package: kxstitch
Architecture: any
Depends: kxstitch-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kxstitch-common (<< 2.2.0-2~)
Replaces: kxstitch-common (<< 2.2.0-2~)
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends}
Breaks: kxstitch (<< 2.2.0-2~)
Replaces: kxstitch (<< 2.2.0-2~)
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.
