## kxstitch 2.2.0+p24.04+vunstable+git20251020.0017

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:58 +0000
