## kxstitch 2.2.0+p24.04+vunstable+git20251021.0240

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251021.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:40:11 +0000
