## kxstitch 2.2.0+p24.04+vunstable+git20251123.1235

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251123.1235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:35:18 +0000
