## kxstitch 2.2.0+p24.04+vunstable+git20260105.1422

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20260105.1422-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:22:25 +0000
