=== debian/control ===
--- 
+++ 
@@ -2,25 +2,29 @@
 Uploaders: Scarlett Moore <sgmoore@kde.org>
 Section: misc
 Priority: optional
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               doxygen,
                gettext,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5kio-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               graphviz,
+               kf6-extra-cmake-modules,
+               kf6-kcompletion-dev,
+               kf6-kconfig-dev,
+               kf6-kconfigwidgets-dev,
+               kf6-kdoctools-dev,
+               kf6-ki18n-dev,
+               kf6-kio-dev,
+               kf6-ktextwidgets-dev,
+               kf6-kwidgetsaddons-dev,
+               kf6-kxmlgui-dev,
+               libmagick++-6-headers,
                libmagick++-6.q16-dev,
-               libqt5x11extras5-dev,
-               pkg-kde-tools,
-               qtbase5-dev,
+               libmagick++-6.q16hdri-dev,
+               pkg-kde-tools-neon,
+               pkgconf,
+               qt6-base-dev,
                shared-mime-info
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/graphics/kxstitch
 Vcs-Git: https://invent.kde.org/neon/extras/kxstitch.git
