## kxstitch 2.2.0+p24.04+vunstable+git20260123.0452

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20260123.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:52:15 +0000
