=== icons/CMakeLists.txt ===
ECM_INSTALL_ICONS(ICONS
    22-actions-kxs-3quarter-stitch.png
    22-actions-kxs-backstitch.png
    22-actions-kxs-center-pattern.png
    22-actions-kxs-color-add.png
    22-actions-kxs-draw-ellipse-filled.png
    22-actions-kxs-draw-rectangle-filled.png
    22-actions-kxs-extend-pattern.png
    22-actions-kxs-format-justify-bottom.png
    22-actions-kxs-format-justify-middle.png
    22-actions-kxs-format-justify-top.png
    22-actions-kxs-frenchknot.png
    22-actions-kxs-full-stitch.png
    22-actions-kxs-half-stitch.png
    22-actions-kxs-quarter-stitch.png
    22-actions-kxs-small-full-stitch.png
    22-actions-kxs-small-half-stitch.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

add_subdirectory(app)
