=== library/CMakeLists.txt ===
file(GLOB _library "*")
foreach(ITEM ${_library})
    if(IS_DIRECTORY "${ITEM}")
        list(APPEND _libraries "${ITEM}")
    endif()
endforeach()
install(DIRECTORY ${_libraries} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/library)
