=== schemes/CMakeLists.txt ===
file(GLOB _schemes "*.xml")
install(FILES ${_schemes} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/schemes)
