=== symbols/CMakeLists.txt ===
file(GLOB _symbols "*.sym")
install(FILES ${_symbols} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/symbols)
