=== debian/changelog ===
kxstitch (3.0.0~git20250215.a6082a9b-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream git snapshot (3.0.0~git20250215.a6082a9b).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Update project homepage.
  * Use `Extras’ Team email for the Maintainer field.
  * Drop upstream patches.
  * Update the list of installed files.
  * Refresh upstream metadata.
  * Build with hardening=+all build hardening flag.
  * Switch to declarative KF6 debhelper build sequence.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 23:50:07 +0100

kxstitch (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * Fix compatibility with ImageMagick 7: (Closes: #1086934)
    - switch the libmagick++-6.q16-dev build dependency to libmagick++-7.q16-dev
    - add the pkgconf build dependency
    - backport upstream commit 965a0e768390ba3dcb02741b245144888872d76d to use
      the Magick++ pkg-config imported target; patch
      upstream_Use-the-Magick-pkg-config-imported-target.patch
  * Drop old breaks/replaces for versions older than Debian Bullseye.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Nov 2024 10:20:52 +0100
