=== debian/control ===
Source: kxstitch
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules,
               gettext,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6configwidgets-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6textwidgets-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libmagick++-7.q16-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev,
               shared-mime-info,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kxstitch/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kxstitch
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kxstitch.git

Package: kxstitch
Architecture: any
Depends: kxstitch-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends},
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.
