=== debian/watch ===
version=4
opts=pgpmode=auto \
https://download.kde.org/stable/@PACKAGE@/([\d\.]*)/@PACKAGE@-([^-]*).tar.xz
